Extension

Developer
Supported

GWcode SyntaxHighlighter

ExpressionEngine 2

Back to this add-on's main page
View Other Add-ons From Leon Dijk

     

You must be logged in to post.

Previously working, but not now

Support Request

CreateSean
CreateSean

It’s been several months since I wrote a post with code, however today when attempting to do so it doesn’t work. I’m on EE 2.7.2 and as mentioned this was previously working.

When I click on the code button in wygwam nothing visible happens, but the entire page is frozen and I have to refresh the page to do anything. When I do this and check the console I see the following.

Found third party scripts in <headtagadmin.php?S=0&D=cp&C=javascript&M=combo_load&ui=core,widget,mouse,position,sortable,dialog&plugin=e…:411
event
.returnValue is deprecatedPlease use the standard event.preventDefault() insteadjquery.js?v=1395353889:91
Attr
.specified is deprecatedIts value is always truejquery.js?v=1395353889:68
Uncaught NotFoundError
Failed to execute 'appendChild' on 'Node'The new child element is null

Please advise.

pseudoclass
# 1
pseudoclass

Having the exact same problem with an EE 2.7.3 install. Sean, were you able to figure out how to fix the JS error?

CreateSean
# 2
CreateSean

I ended up switching to using http://devot-ee.com/add-ons/ee-syntax in a matrix/grid and using MX Jumper to place the code where I want it to be.

pseudoclass
# 3
pseudoclass

Interesting. Haven’t played with MX Jumper yet so I’ll give it a shot. Thanks for the tip.

PaleoSun
# 4
PaleoSun

I am also having this problem. Installed as directed, but when I click the code button in WYGWAM, I get the following console error:

"Uncaught TypeError: Failed to execute 'appendChild' on 'Node': parameter 1 is not of type 'Node'." 

I’m on EE 2.9.2 and Wygwam 3.3.2.

Any suggestions?